Bug 1267735 - changelog: SuSE build system code audit errors
changelog: SuSE build system code audit errors
Status: CLOSED EOL
Product: GlusterFS
Classification: Community
Component: changelog (Show other bugs)
3.7.4
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: bugs@gluster.org
: Triaged
Depends On: 1267734
Blocks: glusterfs-3.7.5
  Show dependency treegraph
 
Reported: 2015-09-30 15:59 EDT by Kaleb KEITHLEY
Modified: 2017-03-08 05:57 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 1267734
Environment:
Last Closed: 2017-03-08 05:57:06 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kaleb KEITHLEY 2015-09-30 15:59:31 EDT
+++ This bug was initially created as a clone of Bug #1267734 +++

Description of problem:

SuSE build system aborts builds due to potential buffer over-run in changelog-helpers.c


Version-Release number of selected component (if applicable):

master

How reproducible:

Compile master and release-3.7 in SuSE Build System

Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 1 Kaleb KEITHLEY 2015-10-01 09:12:44 EDT
filed against _core_ because there's no changelog component
Comment 2 Kaleb KEITHLEY 2015-10-02 07:59:23 EDT
excerpt from the build log

...
[  579s] ... running 01-check-debuginfo
[  579s] ... testing for empty debuginfo packages
[  579s] ... running 02-check-gcc-output
[  579s] ... testing for serious compiler warnings
[  579s]     (using /usr/lib/build/checks-data/check_gcc_output)
[  579s]     (using //.build.log)
[  579s] 
[  579s] I: Statement might be overflowing a buffer in strncat. Common mistake:
[  579s]    BAD: strncat(buffer,charptr,sizeof(buffer)) is wrong, it takes the left over size as 3rd argument
[  579s]    GOOD: strncat(buffer,charptr,sizeof(buffer)-strlen(buffer)-1)
[  579s] E: glusterfs bufferoverflowstrncat changelog-helpers.c:1909:25
[  579s] E: glusterfs bufferoverflowstrncat changelog-helpers.c:1917:25
...
Comment 3 Mike McCune 2016-03-28 18:53:35 EDT
This bug was accidentally moved from POST to MODIFIED via an error in automation, please see mmccune@redhat.com with any questions
Comment 4 Kaushal 2017-03-08 05:57:06 EST
This bug is getting closed because GlusteFS-3.7 has reached its end-of-life.

Note: This bug is being closed using a script. No verification has been performed to check if it still exists on newer releases of GlusterFS.
If this bug still exists in newer GlusterFS releases, please reopen this bug against the newer release.

Note You need to log in before you can comment on or make changes to this bug.